Subject: Re: 27.0.50; Eshell taking long time to enter directory after TAB completion

From: Jim Porter <[email-masked]>
Date: Sun, 28 Jul 2024 13:06:19 -0700

On 7/19/2019 2:21 PM, Jean Louis wrote:
> 
> I have observed that if I write in Eshell:
> 
> $ cd Documents
> 
> That it enters the directory quickly.
> 
> But if I write:
> 
> $ cd Docum TAB
> 
> it expands into
> 
> $ cd Documents/
> 
> then when I press ENTER it is taking sometimes 1 second or few seconds
> just to enter the directory.
> 
> This also happens if inside of directory there is just one file.

In the intervening 5 years, there have been many improvements to both 
Eshell and Pcomplete. Are you still able to reproduce this? I tried 
locally, and everything seems ok to me, but maybe I'm just missing some 
essential step.